Bug 244215 - install-missing-packages fails in a weird way
Summary: install-missing-packages fails in a weird way
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-18 15:59 UTC by Edward Tomasz Napierala
Modified: 2020-03-31 08:36 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Edward Tomasz Napierala freebsd_committer 2020-02-18 15:59:58 UTC
Trying to use make install-missing-packages results in this:

root@v2:/home/trasz/svn/ports/cad/linuxcnc-devel # make install-missing-packages
Updating FreeBSD repository catalogue...
FreeBSD repository is up to date.         
All repositories are up to date.
Checking integrity... done (0 conflicting)
The following 1 package(s) will be affected (of 0 checked):
                                                   
New packages to be INSTALLED:          
        libimg: 1.4.9         
                                                   
Number of packages to be installed: 1
                                                   
Proceed with this action? [y/N]: y       
[1/1] Installing libimg-1.4.9...            
[1/1] Extracting libimg-1.4.9: 100%         
su: devel/tcllib: not found      
su: x11-toolkits/py-gtksourceview: not found
su: x11-toolkits/gtksourceview2: not found
su: devel/gconf2: not found  
su: devel/dconf: not found         
su: lang/vala: not found                                                                               
su: graphics/graphviz: not found    
su: devel/meson: not found                 
su: devel/py-pytest-xdist: not found
su: devel/py-setuptools_scm: not found    

And so on, and so on.
Comment 1 Mathieu Arnold freebsd_committer 2020-02-19 08:47:24 UTC
Adding the one who changed this obsolete target most recently.
Comment 2 Mateusz Piotrowski freebsd_committer 2020-02-22 20:35:27 UTC
I'm investigating.
Comment 3 Mateusz Piotrowski freebsd_committer 2020-02-22 20:50:19 UTC
Here's the patch:
https://reviews.freebsd.org/D23795
Comment 4 commit-hook freebsd_committer 2020-03-31 08:33:07 UTC
A commit references this bug:

Author: 0mp
Date: Tue Mar 31 08:31:15 UTC 2020
New revision: 529956
URL: https://svnweb.freebsd.org/changeset/ports/529956

Log:
  Fix install-missing-packages when port is missing multiple dependencies

  The current implementation of install-missing-packages does not handle
  correctly the situation when a port is missing multiple dependencies. pkg(8)
  would only get the first missing origin as an argument. All the other origins
  would be listed on new lines and would not be passed to pkg(8).

  PR:		244215
  Discussed with:	mat, tobik
  Approved by:	portmgr (implicit, fix r525388)
  Differential Revision:	https://reviews.freebsd.org/D23795

Changes:
  head/Mk/bsd.port.mk